{% extends "layouts/base.html" %}
{% load static i18n don_extras %}

{% block content %}
<div class="page-add-api">
    <h1 class="mb-5">{{ title }}</h1>
    <p>
        Voeg je API toe door onderstaand formulier in te vullen. Het is ook mogelijk om een <a href="https://gitlab.com/commonground/don/don-content/-/merge_requests" target="_blank" rel="noopener noreferrer">merge request</a> aan te maken.
    </p>
    <div class="card card--padding-lg">
        {% language "nl" %}
            <form action="{% url 'web:api_add' %}" method="post" class="add-api-form">
                {% csrf_token %}
                {% if form.errors  %}<p class="warning">Het formulier is nog niet volledig ingevuld en/of bevat fouten.</p>{% endif %}
                <h2>API details</h2>
                <div class="field-wrapper">
                    <label for="{{ form.service_name.id_for_label }}">Naam</label>
                    {{ form.service_name }}
                    {% if form.service_name.errors %}<div class="field-wrapper__errors">{{ form.service_name.errors }}</div>{% endif %}
                </div>
                <div class="field-wrapper">
                    <label for="{{ form.description.id_for_label }}">Omschrijving</label>
                    {{ form.description }}
                    {% if form.description.errors %}<div class="field-wrapper__errors">{{ form.description.errors }}</div>{% endif %}
                </div>
                <div class="field-wrapper">
                    {% if form.organization_ooid.field.has_choices %}
                        <label for="{{ form.organization_ooid.id_for_label }}">Organisatie</label>
                        <p class="information-source">We halen de lijst van organisaties uit het {% include "partials/external_link.html" with href="https://organisaties.overheid.nl/" title="Register van Overheidsorganisaties" %}</p>
                        {{ form.organization_ooid }}
                        {% if form.organization_ooid.errors %}
                            <div class="field-wrapper__errors">{{ form.organization_ooid.errors }}</div>
                        {% endif %}
                    {% else %}
                        <label for="{{ form.organization_name.id_for_label }}">Organisatienaam</label>
                        {{ form.organization_name }}
                        {% if form.organization_name.errors %}
                            <div class="field-wrapper__errors">{{ form.organization_name.errors }}</div>
                        {% endif %}
                    {% endif %}
                </div>
                <div class="field-wrapper">
                    <label for="{{ form.api_type.id_for_label }}">Type</label>
                    {{ form.api_type }}
                    {% if form.api_type.errors %}<div class="field-wrapper__errors">{{ form.api_type.errors }}</div>{% endif %}
                </div>
                <div class="field-wrapper">
                    <label for="{{ form.api_authentication.id_for_label }}">Authenticatie</label>
                    {{ form.api_authentication }}
                    {% if form.api_authentication.errors %}
                        <div class="field-wrapper__errors">{{ form.api_authentication.errors }}</div>
                    {% endif %}
                </div>
                <h2 class="mt-9">Omgevingen</h2>
                <div class="card card--bg card--padding4 mb-5">
                    <h3>Productie</h3>
                    <div class="field-wrapper">
                        <label for="{{ form.production_api_url.id_for_label }}">API URL</label>
                        <p>Een URL dient te beginnen met 'https://'.</p>
                        {{ form.production_api_url }}
                        {% if form.production_api_url.errors %}
                            <div class="field-wrapper__errors">{{ form.production_api_url.errors }}</div>
                        {% endif %}
                    </div>
                    <div class="field-wrapper">
                        <label for="{{ form.production_specification_url.id_for_label }}">Specificatie URL (optioneel)</label>
                        <p>Link naar een machine leesbare documentatie.</p>
                        {{ form.production_specification_url }}
                        {% if form.production_specification_url.errors %}
                            <div class="field-wrapper__errors">{{ form.production_specification_url.errors }}</div>
                        {% endif %}
                    </div>
                    <div class="field-wrapper">
                        <label for="{{ form.production_documentation_url.id_for_label }}">Documentatie URL (optioneel)</label>
                        <p>Link naar een menselijk leesbare documentatie.</p>
                        {{ form.production_documentation_url }}
                        {% if form.production_documentation_url.errors %}
                            <div class="field-wrapper__errors">{{ form.production_documentation_url.errors }}</div>
                        {% endif %}
                    </div>
                </div>
                <div class="card card--bg card--padding4 mt-6">
                    <h3>Acceptatie (optioneel)</h3>
                    <div class="field-wrapper">
                        <label for="{{ form.acceptance_api_url.id_for_label }}">API URL (optioneel)</label>
                        <p>Een URL dient te beginnen met 'https://'.</p>
                        {{ form.acceptance_api_url }}
                        {% if form.acceptance_api_url.errors %}
                            <div class="field-wrapper__errors">{{ form.acceptance_api_url.errors }}</div>
                        {% endif %}
                    </div>
                    <div class="field-wrapper">
                        <label for="{{ form.acceptance_specification_url.id_for_label }}">Specificatie URL (optioneel)</label>
                        <p>Link naar een machine leesbare documentatie.</p>
                        {{ form.acceptance_specification_url }}
                        {% if form.acceptance_specification_url.errors %}
                            <div class="field-wrapper__errors">{{ form.acceptance_specification_url.errors }}</div>
                        {% endif %}
                    </div>
                    <div class="field-wrapper">
                        <label for="{{ form.acceptance_documentation_url.id_for_label }}">Documentatie URL (optioneel)</label>
                        <p>Link naar een menselijk leesbare documentatie.</p>
                        {{ form.acceptance_documentation_url }}
                        {% if form.acceptance_documentation_url.errors %}
                            <div class="field-wrapper__errors">{{ form.acceptance_documentation_url.errors }}</div>
                        {% endif %}
                    </div>
                </div>
                <div class="card card--bg card--padding4 mt-6">
                    <h3>Demo (optioneel)</h3>
                    <div class="field-wrapper">
                        <label for="{{ form.demo_api_url.id_for_label }}">API URL (optioneel)</label>
                        <p>Een URL dient te beginnen met 'https://'.</p>
                        {{ form.demo_api_url }}
                        {% if form.demo_api_url.errors %}<div class="field-wrapper__errors">{{ form.demo_api_url.errors }}</div>{% endif %}
                    </div>
                    <div class="field-wrapper">
                        <label for="{{ form.demo_specification_url.id_for_label }}">Specificatie URL (optioneel)</label>
                        <p>Link naar een machine leesbare documentatie.</p>
                        {{ form.demo_specification_url }}
                        {% if form.demo_specification_url.errors %}
                            <div class="field-wrapper__errors">{{ form.demo_specification_url.errors }}</div>
                        {% endif %}
                    </div>
                    <div class="field-wrapper">
                        <label for="{{ form.demo_documentation_url.id_for_label }}">Documentatie URL (optioneel)</label>
                        <p>Link naar een menselijk leesbare documentatie.</p>
                        {{ form.demo_documentation_url }}
                        {% if form.demo_documentation_url.errors %}
                            <div class="field-wrapper__errors">{{ form.demo_documentation_url.errors }}</div>
                        {% endif %}
                    </div>
                </div>
                <h2 class="mt-9">Contact</h2>
                <div class="field-wrapper">
                    <label for="{{ form.contact_email_address.id_for_label }}">E-mailadres</label>
                    <p>Dit wordt als contactinformatie bij de API getoond.</p>
                    {{ form.contact_email_address }}
                    {% if form.contact_email_address.errors %}
                        <div class="field-wrapper__errors">{{ form.contact_email_address.errors }}</div>
                    {% endif %}
                </div>
                <div class="field-wrapper">
                    <label for="{{ form.contact_phone_number.id_for_label }}">Telefoonnummer</label>
                    <p>Dit wordt als contactinformatie bij de API getoond.</p>
                    {{ form.contact_phone_number }}
                    {% if form.contact_phone_number.errors %}
                        <div class="field-wrapper__errors">{{ form.contact_phone_number.errors }}</div>
                    {% endif %}
                </div>
                <div class="field-wrapper">
                    <label for="{{ form.contact_url.id_for_label }}">URL</label>
                    <p>Link naar een website met contactinformatie.</p>
                    {{ form.contact_url }}
                    {% if form.contact_url.errors %}<div class="field-wrapper__errors">{{ form.contact_url.errors }}</div>{% endif %}
                </div>
                <h2 class="mt-9">Referentie-implementatie</h2>
                <p>Is de API is gebaseerd op een referentie-implementatie?</p>
                <div class="field-wrapper">
                    <label for="{{ form.reference_implementation.id_for_label }}">Referentie-implementatie (API)</label>
                    {{ form.reference_implementation }}
                    {% if form.reference_implementation.errors %}
                        <div class="field-wrapper__errors">{{ form.reference_implementation.errors }}</div>
                    {% endif %}
                </div>
                <h2 class="mt-9">Gebruiksvoorwaarden</h2>
                <div class="field-wrapper field-wrapper--mb-sm">
                    <div class="field-wrapper__line">
                        {{ form.government_only }}
                        <label for="{{ form.government_only.id_for_label }}">Deze API is alleen beschikbaar voor overheden</label>
                    </div>
                    {% if form.government_only.errors %}
                        <div class="field-wrapper__errors">{{ form.government_only.errors }}</div>
                    {% endif %}
                </div>
                <div class="field-wrapper field-wrapper--mb-sm">
                    <div class="field-wrapper__line">
                        {{ form.pay_per_use }}
                        <label for="{{ form.pay_per_use.id_for_label }}">
                            De kosten voor het gebruik van de API worden verrekend met de gebruiker
                        </label>
                    </div>
                    {% if form.pay_per_use.errors %}<div class="field-wrapper__errors">{{ form.pay_per_use.errors }}</div>{% endif %}
                </div>
                <div class="field-wrapper">
                    <label for="{{ form.uptime_guarantee.id_for_label }}">Beschikbaarheidsgarantie van de API</label>
                    <div class="field-wrapper__type">
                        {{ form.uptime_guarantee }}
                        <div class="field-wrapper__type__sign">%</div>
                    </div>
                    {% if form.uptime_guarantee.errors %}
                        <div class="field-wrapper__errors">{{ form.uptime_guarantee.errors }}</div>
                    {% endif %}
                </div>
                <div class="field-wrapper">
                    <label for="{{ form.support_response_time.id_for_label }}">
                        Binnen hoeveel werkdagen reageert de helpdesk doorgaans? (optioneel)
                    </label>
                    {{ form.support_response_time }}
                    {% if form.support_response_time.errors %}
                        <div class="field-wrapper__errors">{{ form.support_response_time.errors }}</div>
                    {% endif %}
                </div>
                <button type="submit" class="button button--primary mt-6">API toevoegen</button>
            </form>
        {% endlanguage %}
    </div>
</div>
{% endblock %}
